From dbd92953ebe53415103a2bcaa18b4c61d620e404 Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Fri, 1 Sep 2023 10:04:43 -0500
Subject: [PATCH v1 5/7] Use the meson compat layer for muon

Muon has a Meson compat layer which translates arguments to those that
Muon can understand, and disregards any that it doesn't.
---
 meson.build | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/meson.build b/meson.build
index bd9cdb797e..ed91a10974 100644
--- a/meson.build
+++ b/meson.build
@@ -423,6 +423,10 @@ if meson_impl not in ['muon', 'meson']
 endif
 
 meson_bin = find_program(meson_binpath, native: true)
+# Use the muon CLI compat layer
+if meson_impl == 'muon'
+  meson_args += 'meson'
+endif
 
 
 
@@ -3037,10 +3041,7 @@ else
   test_install_location = run_command(command, check: true).stdout().strip()
 endif
 
-meson_install_args = meson_args + ['install'] + {
-    'meson': ['--quiet', '--only-changed', '--no-rebuild'],
-    'muon': []
-}[meson_impl]
+meson_install_args = meson_args + ['install', '--quiet', '--only-changed', '--no-rebuild']
 
 # setup tests should be run first,
 # so define priority for these
-- 
Tristan Partin
Neon (https://neon.tech)

